Grayscale Bitcoin Trust

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/grayscale-bitcoin-trust/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/grayscale-bitcoin-trust/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1790640000000,
    "type": "flat",
    "coin_id": "bitcoin",
    "holding_net_change": 0.0
  },
  {
    "date": 1790726400000,
    "type": "flat",
    "coin_id": "bitcoin",
    "holding_net_change": 0.0
  },
  {
    "date": 1790812800000,
    "type": "sell",
    "coin_id": "bitcoin",
    "holding_net_change": -375.8356358253231
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/grayscale-bitcoin-trust/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1790726400000,
    126722.21242375
  ],
  [
    1790812800000,
    126722.21242375
  ],
  [
    1790899200000,
    126351.34737799
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/grayscale-bitcoin-trust/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1790726400000,
    10599654113.74208
  ],
  [
    1790812800000,
    10587280956.92103
  ],
  [
    1790899200000,
    10712424805.01907
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/grayscale-bitcoin-trust/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 64.39,
    "date": "2026-09-30",
    "high": 66.12,
    "open": 65.81,
    "close": 64.59,
    "volume": 2015696
  },
  {
    "low": 64.46,
    "date": "2026-10-01",
    "high": 65.89,
    "open": 64.46,
    "close": 65.44,
    "volume": 1647166
  },
  {
    "low": 64.825,
    "date": "2026-10-02",
    "high": 67.39,
    "open": 66.89,
    "close": 65.11,
    "volume": 1939576
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/grayscale-bitcoin-trust/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": null,
  "quarterly_earnings_growth": null,
  "eps_estimate_current_quarter": null
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/grayscale-bitcoin-trust/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": 8.88,
  "six_month_return": 24.85,
  "three_month_return": 31.8
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/grayscale-bitcoin-trust/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": "-",
  "total_btc_percentage": 0.603,
  "share_price_change_state": ""
}